Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface FeaturePair

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

All Known Subinterfaces:
  DnaDnaAlignFeature, DnaDnaAlignment, DnaProteinAlignment, RepeatFeature

public interface FeaturePair
extends Feature

Feature hit. Contains two sets of coordinates

Method Summary
`java.lang.String` | `getCigarString()`
`double` | `getEvalue()`
`java.lang.String` | `getHitAccession()`
`java.lang.String` | `getHitDescription()`
`java.lang.String` | `getHitDisplayName()`
`Location` | `getHitLocation()`
`Sequence` | `getHitSequence()`
`double` | `getPercentageIdentity()`
`double` | `getScore()`
`void` | `setCigarString(java.lang.String cigarLine)`
`void` | `setEvalue(double evalue)`
`void` | `setHitAccession(java.lang.String name)`
`void` | `setHitDescription(java.lang.String desc)`
`void` | `setHitDisplayName(java.lang.String name)`
`void` | `setHitLocation(Location location)`
`void` | `setHitSequence(Sequence hitSequence)`
`void` | `setPercentageIdentity(double percentageIdentity)`
`void` | `setScore(double score)`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getHitAccession

    public java.lang.String getHitAccession()

### setHitAccession

    public void setHitAccession(java.lang.String name)

### getHitDisplayName

    public java.lang.String getHitDisplayName()

### setHitDisplayName

    public void setHitDisplayName(java.lang.String name)

### getHitDescription

    public java.lang.String getHitDescription()

### setHitDescription

    public void setHitDescription(java.lang.String desc)

### setHitLocation

    public void setHitLocation(Location location)

### getHitLocation

    public Location getHitLocation()

### getHitSequence

    public Sequence getHitSequence()

### setHitSequence

    public void setHitSequence(Sequence hitSequence)

### getPercentageIdentity

    public double getPercentageIdentity()

### setPercentageIdentity

    public void setPercentageIdentity(double percentageIdentity)

### getEvalue

    public double getEvalue()

### setEvalue

    public void setEvalue(double evalue)

### getScore

    public double getScore()

### setScore

    public void setScore(double score)

### getCigarString

    public java.lang.String getCigarString()

### setCigarString

    public void setCigarString(java.lang.String cigarLine)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD